package com.goafanti.admin.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.goafanti.common.utils.excel.Excel;

import java.util.Date;

public class AdminPublicDurationCount {

    private String id;
    @Excel(name = "姓名")
    private String name;
    @Excel(name = "时长")
    private Double duration;
    private Date date;
    @Excel(name = "系统天数")
    private Integer countNumber;
    @Excel(name = "折算系数")
    private Double conversion;
    @Excel(name = "折算天数")
    private double days;

    public Double getConversion() {
        return conversion;
    }

    public void setConversion(Double conversion) {
        this.conversion = conversion;
    }

    public Integer getCountNumber() {
        return countNumber;
    }

    public void setCountNumber(Integer countNumber) {
        this.countNumber = countNumber;
    }

    public double getDays() {
        return days;
    }

    public void setDays(double days) {
        this.days = days;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public AdminPublicDurationCount(String id, String name, Double duration) {
        this.id = id;
        this.name = name;
        this.duration = duration;
        this.countNumber = 1;
    }

    public AdminPublicDurationCount() {
    }

    public Double getDuration() {
        return duration;
    }

    public void setDuration(Double duration) {
        this.duration = duration;
    }

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    @Override
    public String toString() {
        return "AdminPublicDuration{" +
                "id='" + id + '\'' +
                ", name='" + name + '\'' +
                ", duration=" + duration +
                ", date=" + date +
                '}';
    }
}
